> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphractal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# risk

> Retrieve Signals data for `/{asset}/spot/risk`.



## OpenAPI

````yaml /api-reference/openapi.json get /{asset}/spot/risk
openapi: 3.1.1
info:
  title: Alphractal API
  version: 0.3.0
  description: >-
    Alphractal API provides comprehensive cryptocurrency on-chain data including
    mining metrics, address analytics, block information, fee data, market
    indicators, supply metrics, exchange flows, and more.
servers:
  - url: https://api.alphractal.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /{asset}/spot/risk:
    get:
      tags:
        - Signals
      summary: risk
      description: Retrieve Signals data for `/{asset}/spot/risk`.
      parameters:
        - name: asset
          in: path
          required: true
          schema:
            type:
              - string
              - 'null'
            enum:
              - 0g
              - 1inch
              - 2z
              - a
              - aave
              - ace
              - ada
              - aero
              - aioz
              - akt
              - alch
              - algo
              - ape
              - apt
              - ar
              - arb
              - aster
              - ath
              - atom
              - ausd
              - ausdt
              - avax
              - awe
              - axs
              - b
              - banana
              - bard
              - bat
              - bch
              - beam
              - bnb
              - bonk
              - brett
              - bsv
              - btc
              - btt
              - cake
              - cc
              - cfg
              - cfx
              - cheems
              - chz
              - ckb
              - comp
              - core
              - cow
              - cro
              - crv
              - crvusd
              - ctc
              - cvx
              - cys
              - dash
              - deep
              - dexe
              - dog
              - doge
              - dot
              - dydx
              - egld
              - ena
              - ens
              - etc
              - eth
              - ethfi
              - fartcoin
              - fet
              - ff
              - fil
              - floki
              - flr
              - fluid
              - form
              - frax
              - g
              - gala
              - gas
              - glm
              - gmx
              - gno
              - grass
              - grt
              - gwei
              - h
              - hbar
              - hnt
              - home
              - hot
              - hype
              - icnt
              - icp
              - imx
              - inch
              - inj
              - iota
              - ip
              - jasmy
              - jst
              - jto
              - jup
              - kaia
              - kaito
              - kas
              - kite
              - la
              - ldo
              - link
              - lit
              - lpt
              - ltc
              - lunc
              - m
              - mana
              - mantra
              - met
              - mina
              - mnt
              - mon
              - morpho
              - move
              - near
              - neo
              - night
              - okb
              - ondo
              - op
              - paxg
              - pendle
              - pengu
              - pepe
              - pieverse
              - pippin
              - pol
              - pump
              - pyth
              - qnt
              - qtum
              - qubic
              - render
              - river
              - rose
              - rsr
              - rune
              - rvn
              - s
              - safe
              - sand
              - sei
              - sent
              - sfp
              - shib
              - siren
              - skr
              - sky
              - snx
              - sol
              - spx
              - stable
              - stg
              - strk
              - stx
              - sui
              - sun
              - susd
              - syrup
              - t
              - tag
              - tao
              - theta
              - tia
              - ton
              - toshi
              - tria
              - trump
              - trx
              - turbo
              - tusd
              - twt
              - uai
              - ub
              - uni
              - velo
              - vet
              - virtual
              - vvv
              - w
              - wal
              - wif
              - wld
              - wlfi
              - wusd
              - xaut
              - xcn
              - xdc
              - xec
              - xlm
              - xmr
              - xpl
              - xrp
              - xtz
              - xvg
              - yfi
              - yzy
              - z
              - zec
              - zen
              - zil
              - zk
              - zro
              - zrx
          description: >-
            Asset identifier, lowercase ticker. The list is the assets that
            carry this metric — an asset outside it has no data here.
          example: btc
        - name: timeframe
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - 1m
              - 5m
              - 15m
              - 30m
              - 1h
              - 4h
              - 6h
              - 12h
              - 1d
            default: 1d
          description: >-
            Aggregation bucket. Values outside the accepted list fall back to
            the daily series instead of returning an error.
          example: 1day
        - name: startDate
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
          description: >-
            Start date for filtering results (inclusive). Format: ISO 8601
            date-time.
        - name: endDate
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
          description: >-
            End date for filtering results (inclusive). Format: ISO 8601
            date-time.
        - name: limit
          in: query
          schema:
            type:
              - integer
              - 'null'
            format: int32
        - name: period
          in: query
          schema:
            type:
              - integer
              - 'null'
            format: int32
          description: >-
            Time period for the requested metric. Available options: 1m (1
            minute), 5m (5 minutes), 15m (15 minutes), 30m (30 minutes), 1h (1
            hour), 4h (4 hours), 1d (1 day), 1w (1 week), 1M (1 month).
          example: 1h
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RiskSpotResponse'
components:
  schemas:
    RiskSpotResponse:
      type: object
      properties:
        asset:
          type:
            - string
            - 'null'
        market:
          type:
            - string
            - 'null'
        exchange:
          type:
            - string
            - 'null'
        timeframe:
          type:
            - string
            - 'null'
        parameters:
          $ref: '#/components/schemas/RiskParametersResponse'
        series:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/RiskSeriesPointResponse'
      additionalProperties: false
    RiskParametersResponse:
      type: object
      properties:
        period:
          type: integer
          format: int32
      additionalProperties: false
    RiskSeriesPointResponse:
      type: object
      properties:
        time:
          type: string
          format: date-time
        close:
          type: number
          format: double
        sharpe:
          type: number
          format: double
        sharpeRaw:
          type: number
          format: double
        nrm:
          type: number
          format: double
        sma:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key authentication. Include your API key in the X-Api-Key header for
        all requests.

````